Integrations
Start connecting a Microsoft 365 tenant
Answer Microsoft’s sign-in URL for the deployment Teams app. An administrator of the tenant signs in and consents to publishing the app to the organization catalog, listing their teams, and installing the app with its resource-specific permissions; Microsoft then returns to the Console’s connect page. The state is signed for this organization, agent and caller and expires in ten minutes.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/orgs/string/integrations/msteams/connect" \ -H "Content-Type: application/json" \ -d '{ "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2" }'{ "authorizeUrl": "http://example.com"}